summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2016-02-09 09:26:10 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2016-02-09 09:31:34 +0000
commitb59c750b116539adc1f6642b4fc6d7e438947c39 (patch)
tree9da7df0e07899bdf2310d164c357a1ada16a0354
parenta808b0562008d8c0c3c2f7d7ccd382ae802b0940 (diff)
Install Foundation Model into tcwg-build-amd64-* schroots
... for bare-metal testing. The model tarball should be manually downloaded from ARM website. Change-Id: Ic51a67b59164b3896a2777600570c80cd09e4d62
-rwxr-xr-xadmin-schroot.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/admin-schroot.sh b/admin-schroot.sh
index 6911b02..827de02 100755
--- a/admin-schroot.sh
+++ b/admin-schroot.sh
@@ -125,7 +125,7 @@ else
fi
orig_target_ssh_opts="$target_ssh_opts"
-target_ssh_opts="$target_ssh_opts -o ControlMaster=auto -o ControlPersist=1m -o ControlPath=/tmp/ssh-$profile-$port-%u-%r@%h:%p"
+target_ssh_opts="$target_ssh_opts -o ControlMaster=auto -o ControlPersist=1m -o ControlPath=$(mktemp --suffix -ssh)"
schroot_id=$profile-$deb_arch-$deb_dist
@@ -207,6 +207,18 @@ if $gen_schroot; then
sudo chmod a+x $chroot/usr/share/doc/git/contrib/workdir/git-new-workdir
fi
+ # Install the Foundation Model on x86_64 build hosts
+ if [ x"$profile" = xtcwg-build -a x"$deb_arch" = xamd64 ]; then
+ if ! [ -e $schroot_master/FM000-KT-00035-r9p5-41rel0.tgz ]; then
+ echo "ERROR: cannot find Foundation Model tarball: $schroot_master/FM000-KT-00035-r9p5-41rel0.tgz"
+ exit 1
+ fi
+ ssh $target_ssh_opts $target \
+ sudo mkdir $chroot/linaro
+ cat $schroot_master/FM000-KT-00035-r9p5-41rel0.tgz | ssh $target_ssh_opts $target \
+ sudo tar xzf - -C $chroot/linaro
+ fi
+
half_ram="$(ssh $target_ssh_opts $target free | grep "Mem:" | sed -e "s/Mem: *\([0-9]*\).*/\1/")"
if [ x"$half_ram" = x"" -o "$half_ram" -lt "$((1024*1024))" ]; then
# Don't limit RAM on starved boards (<1GB RAM).